#include "Pregunta.h"

Pregunta::Pregunta()
{
}

std::istream& operator>>(std::istream& in, Pregunta& pregunta)
{
	const size_t bufferSize = 2048;
	char buffer[bufferSize];
	in.getline(buffer, bufferSize);
	pregunta.texto = buffer;

	in >> pregunta.respuesta; in.ignore();
	return in;
}

std::ostream& operator<<(std::ostream& out, const Pregunta& pregunta)
{
	out << pregunta.texto << std::endl << "Respuesta: " << pregunta.respuesta << std::endl;
	return out;
}
